%define freeipmi_major	        17
%define ipmiconsole_major	2
%define ipmidetect_major	0
%define ipmimonitoring_major	6
%define libfreeipmi_name	%mklibname %{name} %{freeipmi_major}
%define libipmiconsole_name	%mklibname ipmiconsole %{ipmiconsole_major}
%define libipmidetect_name	%mklibname ipmidetect %{ipmidetect_major}
%define libipmimonitoring_name	%mklibname ipmimonitoring %{ipmimonitoring_major}
%define develname		%mklibname %{name} -d

%define old_libname		%mklibname %{name} 5
%define old_librelease		0.6.5-1

Name: 		freeipmi
Version: 	1.6.14
Release: 	%mkrel 2
Summary: 	FreeIPMI
License: 	GPLv2+
Group: 		System/Kernel and hardware
URL:		https://www.gnu.org/software/freeipmi/index.html
Source0: 	https://ftp.gnu.org/gnu/freeipmi/%{name}-%{version}.tar.gz
Source1: 	ipmidetectd.service
Source2: 	bmc-watchdog.service
#(eatdirt) one of the service needs a temporary directory
Source10:       ipmiseld-tmpfiles.conf
Patch0: 	c99.patch
Patch1: 	0001-ipmi-config-fix-incorrect-output-of-IPv6_Dynamic_Add.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libgcrypt-devel
BuildRequires:	transfig
BuildRequires:	ghostscript
BuildRequires:	texinfo
BuildRequires:	texinfo-tex
BuildRequires:	tetex-latex
BuildRequires:	pkgconfig(libsystemd)
Requires(pre):	systemd
Requires(post):	systemd
# uses sys/io.h style I/O
ExcludeArch:	ppc %mips

%description
The FreeIPMI project provides "Remote-Console" (out-of-band) and
"System Management Software" (in-band) based on Intelligent
Platform Management Interface (IPMI v1.5) specification.

%package -n	%{libfreeipmi_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libfreeipmi_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmiconsole_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmiconsole_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmidetect_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmidetect_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmimonitoring_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmimonitoring_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Group:		Development/C
Summary:	Headers for developing programs that will use %{name}
Requires:	%{libfreeipmi_name} = %{version}-%{release}
Requires:	%{libipmimonitoring_name} = %{version}-%{release}
Requires:	%{libipmiconsole_name} = %{version}-%{release}
Requires:	%{libipmidetect_name} = %{version}-%{release}
Conflicts:	%{libfreeipmi_name} < 1.0.8-2
Conflicts:	%{libipmimonitoring_name} < 1.0.8-2
Conflicts:	%{libipmiconsole_name} < 1.0.8-2
Conflicts:	%{libipmidetect_name} < 1.0.8-2
Provides:	%{name}-devel = %{version}-%{release}
#(eatdirt): not versioned, setting the one of today
Obsoletes:	%{libfreeipmi_name}-devel < 1.6.10

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package	fish
Summary:	FreeIPMI Shell
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	fish
Fish provides Shell, Extension/Plug-in and scripting interface. As a
shell, User has access to both in-band and out-of-band access to the
host BMC through a rich set of IPMI commands.

%package	utils
Summary:	FreeIPMI Utilities
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1

%description	utils
FreeIPMI utilities ipmipower, bmc-watchdog, ipmiping, and rmcpping.

%prep
%autosetup -p1

%build
%define Werror_cflags %nil
%serverbuild
%configure \
		--localstatedir=/%{_var} \
		--disable-dependency-tracking \
		--disable-static
%make_build
cd doc
make pdf
cd -

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}
rm -f %{buildroot}%{_initrddir}/*  %{buildroot}%{_sysconfdir}/init.d/*

# Install systemd units
install -m 755 -d %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_unitdir}

%{__install} -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/ipmiseld.conf

# (cg) Make sure we mask the sysvinit script name
ln -s bmc-watchdog.service %{buildroot}%{_unitdir}/bmcwatchdog.service

# we don't want these
find %{buildroot} -name '*.la' -delete

%post utils
%_tmpfilescreate ipmiseld
%_post_service bmcwatchdog

%preun utils
%_preun_service bmcwatchdog

%files
%doc AUTHORS ChangeLog* NEWS README TODO
%doc doc/*.pdf
%license COPYING
%{_sysconfdir}/freeipmi/*.conf
%{_mandir}/man5/freeipmi_interpret_sel.conf.5.*
%{_mandir}/man5/freeipmi_interpret_sensor.conf.5.*
%{_mandir}/man5/libipmiconsole.conf.5.*
%{_infodir}/freeipmi-faq.info*
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/ipckey

%files -n %{libfreeipmi_name}
%{_libdir}/libfreeipmi.so.%{freeipmi_major}{,.*}

%files -n %{libipmiconsole_name}
%{_libdir}/libipmiconsole.so.%{ipmiconsole_major}{,.*}

%files -n %{libipmidetect_name}
%{_libdir}/libipmidetect.so.%{ipmidetect_major}{,.*}

%files -n %{libipmimonitoring_name}
%{_libdir}/libipmimonitoring.so.%{ipmimonitoring_major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files fish
%{_sbindir}/bmc-config
%{_sbindir}/bmc-info
%{_sbindir}/ipmi-config
%{_sbindir}/ipmi-sel
%{_sbindir}/ipmi-sensors
%{_sbindir}/ipmi-sensors-config
%{_mandir}/man5/bmc-config.conf.5*
%{_mandir}/man5/ipmi-config.conf.5*
%{_mandir}/man8/bmc-config.8*
%{_mandir}/man8/bmc-info.8*
%{_mandir}/man8/ipmi-config.8*
%{_mandir}/man8/ipmi-sel.8*
%{_mandir}/man8/ipmi-sensors.8*
%{_mandir}/man8/ipmi-sensors-config.8*

%files utils
%doc COPYING.bmc-watchdog DISCLAIMER.bmc-watchdog
%doc COPYING.ipmiconsole DISCLAIMER.ipmiconsole 
%doc COPYING.ipmiping DISCLAIMER.ipmiping
%doc COPYING.ipmipower DISCLAIMER.ipmipower
%{_unitdir}/bmc-watchdog.service
%{_unitdir}/bmcwatchdog.service
%{_unitdir}/ipmidetectd.service
%{_unitdir}/ipmiseld.service
%{_tmpfilesdir}/ipmiseld.conf
%config(noreplace) %{_sysconfdir}/sysconfig/bmc-watchdog
%{_sbindir}/bmc-device
%{_sbindir}/bmc-watchdog
%{_sbindir}/ipmi-chassis
%{_sbindir}/ipmi-chassis-config
%{_sbindir}/ipmi-console
%{_sbindir}/ipmi-dcmi
%{_sbindir}/ipmi-detect
%{_sbindir}/ipmi-fru
%{_sbindir}/ipmi-locate
%{_sbindir}/ipmi-oem
%{_sbindir}/ipmi-pef-config
%{_sbindir}/ipmi-pet
%{_sbindir}/ipmi-ping
%{_sbindir}/ipmi-power
%{_sbindir}/ipmi-raw
%{_sbindir}/ipmiconsole
%{_sbindir}/ipmidetect
%{_sbindir}/ipmidetectd
%{_sbindir}/ipmimonitoring
%{_sbindir}/ipmiping
%{_sbindir}/ipmipower
%{_sbindir}/ipmiseld
%{_sbindir}/pef-config
%{_sbindir}/rmcp-ping
%{_sbindir}/rmcpping
%{_mandir}/man3/libfreeipmi.3.*
%{_mandir}/man3/libipmiconsole.3.*
%{_mandir}/man3/libipmidetect.3.*
%{_mandir}/man3/libipmimonitoring.3.*
%{_mandir}/man5/freeipmi.conf.5.*
%{_mandir}/man5/ipmi_monitoring_sensors.conf.5.*
%{_mandir}/man5/ipmiconsole.conf.5.*
%{_mandir}/man5/ipmidetect.conf.5.*
%{_mandir}/man5/ipmidetectd.conf.5.*
%{_mandir}/man5/ipmimonitoring.conf.5.*
%{_mandir}/man5/ipmimonitoring_sensors.conf.5.*
%{_mandir}/man5/ipmipower.conf.5.*
%{_mandir}/man5/libipmimonitoring.conf.5.*
%{_mandir}/man5/ipmiseld.conf.5.*
%{_mandir}/man7/freeipmi.7.*
%{_mandir}/man8/bmc-device.8.*
%{_mandir}/man8/bmc-watchdog.8.*
%{_mandir}/man8/ipmi-chassis-config.8.*
%{_mandir}/man8/ipmi-chassis.8.*
%{_mandir}/man8/ipmi-console.8.*
%{_mandir}/man8/ipmi-dcmi.8.*
%{_mandir}/man8/ipmi-detect.8.*
%{_mandir}/man8/ipmi-fru.8.*
%{_mandir}/man8/ipmi-locate.8.*
%{_mandir}/man8/ipmi-oem.8.*
%{_mandir}/man8/ipmi-pef-config.8.*
%{_mandir}/man8/ipmi-pet.8.*
%{_mandir}/man8/ipmi-ping.8.*
%{_mandir}/man8/ipmi-power.8.*
%{_mandir}/man8/ipmi-raw.8.*
%{_mandir}/man8/ipmiconsole.8.*
%{_mandir}/man8/ipmidetect.8.*
%{_mandir}/man8/ipmidetectd.8.*
%{_mandir}/man8/ipmimonitoring.8.*
%{_mandir}/man8/ipmiping.8.*
%{_mandir}/man8/ipmiseld.8.*
%{_mandir}/man8/ipmipower.8.*
%{_mandir}/man8/pef-config.8.*
%{_mandir}/man8/rmcp-ping.8.*
%{_mandir}/man8/rmcpping.8.*


%changelog
* Thu Oct 03 2024 ns80 <ns80> 1.6.14-2.mga10
+ Revision: 2102947
- add patches from Fedora to fix building with GCC 14

* Wed Feb 14 2024 daviddavid <daviddavid> 1.6.14-1.mga10
+ Revision: 2041259
- new version: 1.6.14

* Fri Sep 29 2023 daviddavid <daviddavid> 1.6.11-1.mga10
+ Revision: 1992078
- new version: 1.6.11

* Tue Apr 25 2023 eatdirt <eatdirt> 1.6.10-2.mga9
+ Revision: 1954923
- Add tmpfiles to create directory for ipmiseld

* Thu Oct 06 2022 neoclust <neoclust> 1.6.10-1.mga9
+ Revision: 1895097
- New version 1.6.10

* Sat Apr 02 2022 umeabot <umeabot> 1.6.8-2.mga9
+ Revision: 1840114
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 mrambo3501 <mrambo3501> 1.6.8-1.mga9
+ Revision: 1768904
- version 1.6.8

* Wed Aug 19 2020 ovitters <ovitters> 1.6.5-2.mga8
+ Revision: 1616030
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Aug 02 2020 guillomovitch <guillomovitch> 1.6.5-1.mga8
+ Revision: 1610582
- new version 1.6.5

* Sat Feb 15 2020 umeabot <umeabot> 1.6.3-2.mga8
+ Revision: 1526849
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 04 2019 daviddavid <daviddavid> 1.6.3-1.mga8
+ Revision: 1418283
- new version: 1.6.3

* Sun Sep 23 2018 umeabot <umeabot> 1.6.2-2.mga7
+ Revision: 1297772
- Mageia 7 Mass Rebuild

* Fri May 04 2018 kekepower <kekepower> 1.6.2-1.mga7
+ Revision: 1226114
- Update to version 1.6.2

* Tue Mar 27 2018 kekepower <kekepower> 1.6.1-1.mga7
+ Revision: 1212888
- BR systemd
- Update to version 1.6.1

* Sun Feb 14 2016 umeabot <umeabot> 1.4.5-5.mga6
+ Revision: 960115
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 fwang <fwang> 1.4.5-4.mga6
+ Revision: 875431
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-3.mga5
+ Revision: 739552
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-2.mga5
+ Revision: 679341
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 1.4.5-1.mga5
+ Revision: 666393
- switch BR to pkgconfig
- new version: 1.4.5

* Sun Jun 29 2014 pterjan <pterjan> 1.4.3-1.mga5
+ Revision: 640933
- 1.4.3

* Tue Mar 04 2014 fwang <fwang> 1.4.1-1.mga5
+ Revision: 599417
- update file list
- bump libmajor
- 1.4.1

* Sat Feb 15 2014 dams <dams> 1.3.4-1.mga5
+ Revision: 591521
- new version 1.3.4

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-2.mga4
+ Revision: 541360
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 1.3.2-1.mga4
+ Revision: 495669
- new version 1.3.2

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.2.9-2.mga4
+ Revision: 474928
- rpm no longer allows listing a symlink to a directory as a dir in files

* Sun Jul 21 2013 sander85 <sander85> 1.2.9-1.mga4
+ Revision: 456942
- New version: 1.2.9

* Sun Jun 09 2013 fwang <fwang> 1.2.7-1.mga4
+ Revision: 441054
- new version 1.2.7

* Fri Jan 11 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 350912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 1.2.3-1.mga3
+ Revision: 319060
- new version 1.2.3

* Fri Oct 19 2012 fwang <fwang> 1.2.2-1.mga3
+ Revision: 308286
- new version 1.2.2

* Sat Sep 08 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 289920
- remove correct files
- remove sysvinit files
- update file list
- use serverbuild for server package
- update file list
- update libmajor
- new version 1.2.1

* Fri Jun 29 2012 fwang <fwang> 1.1.6-1.mga3
+ Revision: 264840
- add br
- new version 1.1.6

* Mon Jun 04 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 253868
- new version 1.1.5

* Sat Apr 28 2012 tmb <tmb> 1.1.3-6.mga2
+ Revision: 233694
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 1.1.3-5.mga2
+ Revision: 232340
- Neater masking of sysvinit script under systemd.

* Sat Apr 21 2012 colin <colin> 1.1.3-4.mga2
+ Revision: 232325
- Fix masked systemd unit link.

* Sat Apr 21 2012 colin <colin> 1.1.3-3.mga2
+ Revision: 232310
- Ensure we mask the sysvinit service name with systemd unit.
- Fix the pid file location in systemd unit.

* Wed Apr 18 2012 guillomovitch <guillomovitch> 1.1.3-2.mga2
+ Revision: 231314
- systemd support

* Fri Mar 09 2012 fwang <fwang> 1.1.3-1.mga2
+ Revision: 222071
- new version 1.1.3

* Wed Jan 04 2012 fwang <fwang> 1.1.1-1.mga2
+ Revision: 190695
- update libmajor
- new version 1.1.1

* Wed Dec 28 2011 wally <wally> 1.0.10-3.mga2
+ Revision: 188422
- drop readline and guile BR (uptream removed deps on guile and readline in 2007) :]

* Wed Dec 28 2011 wally <wally> 1.0.10-2.mga2
+ Revision: 188421
- rebuild for new guile

* Wed Dec 14 2011 fwang <fwang> 1.0.10-1.mga2
+ Revision: 181534
- upload correct tarball
- new version 1.0.10

* Wed Dec 07 2011 fwang <fwang> 1.0.8-2.mga2
+ Revision: 178038
- move .pc file into devel package
  drop .la files

* Thu Oct 27 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 158550
- new version 1.0.8

* Thu Sep 29 2011 fwang <fwang> 1.0.7-1.mga2
+ Revision: 150094
- new version 1.0.7

* Fri Sep 02 2011 fwang <fwang> 1.0.6-1.mga2
+ Revision: 137966
- new verrsion 1.0.6

* Mon Jul 11 2011 dams <dams> 1.0.5-1.mga2
+ Revision: 122260
- rename and update patch
- Update to 1.0.5
- Rediff patch

* Wed Jan 19 2011 erwan <erwan> 0.8.12-1.mga1
+ Revision: 24879
- Removing useless macro
- imported package freeipmi


* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 0.8.12-1mdv2011.0
+ Revision: 620622
- new version 0.8.12

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.8.9-1mdv2011.0
+ Revision: 571576
- update to new version 0.8.9
- new version 0.8.8

* Sat Mar 06 2010 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2010.1
+ Revision: 514914
- update to new version 0.8.4

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2010.1
+ Revision: 499855
- update to new version 0.8.3

* Thu Jan 07 2010 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 487030
- update to new version 0.8.2

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 475299
- new version 0.8.1

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 472470
- new version 0.7.16

* Thu Nov 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 467562
- update to new version 0.7.15

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 0.7.14-1mdv2010.1
+ Revision: 465990
- new version 0.7.14

* Wed Oct 14 2009 Erwan Velu <erwan@mandriva.org> 0.7.13-2mdv2010.0
+ Revision: 457439
- Solve #54593

* Wed Sep 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-1mdv2010.0
+ Revision: 451875
- update to new version 0.7.13

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 0.7.12-2mdv2010.0
+ Revision: 448950
- do not build on mips (from Arnaud Patard)

* Wed Sep 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.12-1mdv2010.0
+ Revision: 435749
- New version 0.7.12

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 0.7.11-1mdv2010.0
+ Revision: 402881
- new version 0.7.11

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 0.7.10-1mdv2010.0
+ Revision: 386902
- New version 0.7.10

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.9-1mdv2010.0
+ Revision: 376364
- update to new version 0.7.9

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.6-1mdv2009.1
+ Revision: 352002
- New version 0.7.6
- fix string format not literal
- update files list

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.9-1mdv2009.1
+ Revision: 291665
- update to new version 0.6.9

* Thu Sep 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.7-1mdv2009.0
+ Revision: 283873
- update to new version 0.6.7

* Wed Aug 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.6-1mdv2009.0
+ Revision: 276628
- update to new version 0.6.6

* Thu Aug 14 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.5-1mdv2009.0
+ Revision: 272120
- New version
- add P0 from PLD (fix build with gcc4.3)
- add P1 from Fedora (fix missing declaration)
- changed major
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Apr 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.6-2mdv2009.0
+ Revision: 192679
- split libraries in individual subacpakges, to make upgrade easier

  + Erwan Velu <erwan@mandriva.org>
    - 0.5.6

* Tue Feb 26 2008 Erwan Velu <erwan@mandriva.org> 0.5.5-1mdv2008.1
+ Revision: 175413
- 0.5.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 116456
- New version 0.5.1

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 97425
- New version 0.4.6

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 79830
- fix files list

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

  + Funda Wang <fwang@mandriva.org>
    - new major
    - make pdf
    - fix file list
    - New version 0.4.2
    - New major
    - New version 0.4.1

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 17476
- 0.3.2


* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-3mdv2007.1
+ Revision: 146892
- obsoletes old devel package to handle upgrade

* Thu Mar 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 144254
- fix build dependencies
- standard post/pre service handling
- only include examples source code in documentation
- bmc-config.conf man page belong to shell package
- make the main package own the top-level state directory, and release dependencies
- libify package, and fix documentation location
- spec cleanup

  + Emmanuel Andry <eandry@mandriva.org>
    - buildrequires libgcrypt-devel
    - New version 0.3.1

  + Erwan Velu <erwan@mandriva.org>
    - Import freeipmi

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.2.0-2mdv2007.0
- Rebuild

* Sat Feb 18 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-1mdk
- 0.2.0
- don't know where to put /var/lib/freeipmi/bmc-config-template,
  putting it in th fish package for now

* Wed Jan 18 2006 Erwan Velu <erwan@seanodes.com> 0.2.0-0.1mdk
- Beta0

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.3-3mdk
- BuildRequires fix

* Wed Mar 16 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.3-2mdk
- don't try to build on ppc

* Tue Mar 01 2005 Erwan Velu <erwan@seanodes.com> 0.1.3-1mdk
- Initial mdk release

